rizamodocs
Analytics

Analytics overview

GET
/analytics/overview

Authorization

apiKey
headerAuthorizationBearer <token>

An API key from the web app, under Developers. It starts with rz_live_.

Query Parameters

days?integer
Range7 <= value <= 365
Default30
profileId?string
fields?

Only posts whose custom fields have these values, for example fields[campaign]=Winter menu. A multi_select field matches when it has the value.

Response Body

OK

application/json
  1. response
from*string
Formatdate-time
to*string
Formatdate-time
kpis*array<>
series*array<>
byNetwork*array<>
topPosts*array<>
Example Request
curl -X GET 'https://api.rizamo.com/v1/analytics/overview'
Example Response200
{  "from": "2019-08-24T14:15:22Z",  "to": "2019-08-24T14:15:22Z",  "kpis": [    {      "key": "string",      "label": "string",      "value": 0,      "previous": 0,      "format": "number"    }  ],  "series": [    {      "date": "2019-08-24",      "impressions": 0,      "engagements": 0,      "followers": 0    }  ],  "byNetwork": [    {      "network": "instagram",      "impressions": 0,      "engagements": 0,      "followers": 0,      "posts": 0    }  ],  "topPosts": [    {      "postId": "string",      "text": "string",      "network": "instagram",      "mediaUrl": "string",      "impressions": 0,      "engagementRate": 0,      "publishedAt": "2019-08-24T14:15:22Z"    }  ]}